/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.entity.Rxsmsmessage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 热线短信通讯信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface RxsmsmessageMapper extends BaseMapper<Rxsmsmessage> {
    Long getMaxId(String tableName);

    String getFsztName(@Param("fszt") String fszt);
    void insertNoteRecord(@Param("map") Map<Long, String> map,@Param("msg") Rxsmsmessage msg);

    void insertMessage(@Param("list") List<Rxsmsmessage> rxsmsmessageList);

    void updateMessage(@Param("messageList") List<Rxsmsmessage> rxsmsmessageList);

    List<String> getStopWaterInfo(@Param("mobile") String mobile, @Param("currentDate") String currentDateStr);
}
